#include "iconedlabel.h"
#include "iconedlabelplugin.h"

#include <QtCore/QtPlugin>


IconedLabelPlugin::IconedLabelPlugin(QObject * parent): QObject(parent) {
	m_initialized = false;
}


void IconedLabelPlugin::initialize(QDesignerFormEditorInterface * /* core */) {
	if (m_initialized) return;

	// Add extension registrations, etc. here

	m_initialized = true;
}


bool IconedLabelPlugin::isInitialized() const {
	return m_initialized;
}


QWidget * IconedLabelPlugin::createWidget(QWidget * parent) {
	return new IconedLabel(parent);
}


QString IconedLabelPlugin::name() const {
	return QLatin1String("IconedLabel");
}


QString IconedLabelPlugin::group() const {
	return QLatin1String("Display Widgets");
}


QIcon IconedLabelPlugin::icon() const {
	return QIcon(":/icons/widgets/iconed-label.png");
}


QString IconedLabelPlugin::toolTip() const {
	return QLatin1String("Label with Icon");
}


QString IconedLabelPlugin::whatsThis() const {
	return QLatin1String("Label with Icon");
}


bool IconedLabelPlugin::isContainer() const {
	return false;
}


QString IconedLabelPlugin::domXml() const {
	return QLatin1String("<widget class=\"IconedLabel\" name=\"iconedLabel\">\n</widget>\n");
}


QString IconedLabelPlugin::includeFile() const {
	return QLatin1String("iconedlabel.h");
}
